Bug 229985 - emulators/open-vm-tools - open-vm-tools 10.3.0 has been released
Summary: emulators/open-vm-tools - open-vm-tools 10.3.0 has been released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Josh Paetzel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-23 17:08 UTC by John Wolfe
Modified: 2018-09-29 23:49 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (jpaetzel)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Wolfe 2018-07-23 17:08:07 UTC
open-vm-tools 10.3.0 has been released.

Please see:

    https://github.com/vmware/open-vm-tools/releases/download/stable-10.3.0/open-vm-tools-10.3.0-8931395.tar.gz

    https://github.com/vmware/open-vm-tools/tree/stable-10.3.0

This release has incorporated some of the FreeBSD based pull requests submitted to the open-vm-tools project and with those updates, the following FreeBSD OVT patch files in the ports should not be needed.

patch-lib_file_fileTempPosix.c
patch-lib_auth_authPosix.c
patch-services_plugins_vix_vixTools.c
patch-modules_freebsd_vmmemctl_os.c
patch-lib_include_vm__basic__types.h

patch-configure.ac
   - unwind.h test (bypass) not needed.
   -Wno-address-of-packed-member CFLAGS is not needed.

   - may not need to add -Wno-unused-function -Wno-unknown-warning-option

If these latter two CFLAGS are not needed, the configure_ac patch is not needed.
Comment 1 Josh Paetzel freebsd_committer 2018-08-10 17:46:16 UTC
12.x and 11.x build fine without the configure patch, 10.x fails, needs analysis.
Comment 2 commit-hook freebsd_committer 2018-09-29 05:29:32 UTC
A commit references this bug:

Author: jpaetzel
Date: Sat Sep 29 05:29:29 UTC 2018
New revision: 480889
URL: https://svnweb.freebsd.org/changeset/ports/480889

Log:
  Update to 10.3.0

  PR:	229985
  Submitted by:	John Wolfe <jwolfe@vmware.com>

Changes:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-configure.ac
  head/emulators/open-vm-tools/files/patch-lib_auth_authPosix.c
  head/emulators/open-vm-tools/files/patch-lib_file_fileTempPosix.c
  head/emulators/open-vm-tools/files/patch-lib_guestApp_guestApp.c
  head/emulators/open-vm-tools/files/patch-lib_include_vm__basic__types.h
  head/emulators/open-vm-tools/files/patch-lib_vmCheck_vmcheck.c
  head/emulators/open-vm-tools/files/patch-modules_Makefile.am
  head/emulators/open-vm-tools/files/patch-modules_freebsd_vmmemctl_os.c
  head/emulators/open-vm-tools/files/patch-services_plugins_vix_vixTools.c
Comment 3 Josh Paetzel freebsd_committer 2018-09-29 23:49:03 UTC
Committed, thanks!